Skip to main content
POST
/
v1
/
refunds
Create a refund
curl --request POST \
  --url https://api.plexospay.com/v1/refunds \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "paymentIntentId": "<string>",
  "amount": 123,
  "reason": "<string>",
  "metadata": {}
}
'
import requests

url = "https://api.plexospay.com/v1/refunds"

payload = {
"paymentIntentId": "<string>",
"amount": 123,
"reason": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({paymentIntentId: '<string>', amount: 123, reason: '<string>', metadata: {}})
};

fetch('https://api.plexospay.com/v1/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "re_abc123",
  "paymentIntentId": "<string>",
  "amount": "<string>",
  "reason": "<string>",
  "failureCode": "<string>",
  "failureMessage": "<string>",
  "operatorRefundId": "<string>",
  "metadata": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key starting with sk_live_ or sk_test_

Headers

Idempotency-Key
string

Body

application/json
paymentIntentId
string
required
amount
integer

Partial refund amount in centavos (omit for full refund)

reason
string
metadata
object | null

Arbitrary key-value metadata (max 50 keys)

Response

200 - application/json

Refund created

id
string
Example:

"re_abc123"

paymentIntentId
string
amount
string
currency
enum<string>

ISO currency code

Available options:
CVE,
AOA
status
enum<string>
Available options:
PENDING,
PROCESSING,
SUCCEEDED,
FAILED
reason
string | null
failureCode
string | null
failureMessage
string | null
operatorRefundId
string | null
metadata
object | null

Arbitrary key-value metadata (max 50 keys)

createdAt
string<date-time>
updatedAt
string<date-time>